Package Details: tlauncher 1:1.116.1-1

Git Clone URL: https://aur.archlinux.org/tlauncher.git (read-only, click to copy)
Package Base: tlauncher
Description: TLauncher Legacy is freeware launcher of Minecraft.
Upstream URL: https://tlaun.ch
Keywords: launcher minecraft tlauncher
Licenses: GPLv3
Submitter: samalero
Maintainer: samalero (mcmodder)
Last Packager: mcmodder
Votes: 17
Popularity: 1.37
First Submitted: 2015-06-23 21:00
Last Updated: 2020-08-03 12:53

Required by (0)

Sources (21)

Pinned Comments

mcmodder commented on 2019-08-19 09:53

Please don't mark this package "out-of-date" because "2.xx is released" 2.xx versions made by other developer (initially) using sources of this launcher (and it's name)

Latest Comments

1 2 Next › Last »

ArkadSt commented on 2020-06-22 12:25

Why does this package contain beta version, not the stable one?

saurabh000345 commented on 2020-06-11 01:20

Please don't mark this package "out-of-date" because "2.xx is released" 2.xx versions made by other developer (initially) using sources of this launcher (and it's name)

Package for the 2.xx versions available on tlauncher.org can be found on the AUR here

mcmodder commented on 2020-04-30 14:26

could you fix insecure file rights (666)

Fixed.

viktoryanukovich commented on 2020-04-20 19:23

Greetings, could you fix insecure file rights (666)? I read line 32 in PKGBUILD, but if this security hole wouldn't be fixed, package might be deleted from AUR https://lists.archlinux.org/pipermail/aur-requests/2020-April/039635.html

CaveJohnson376 commented on 2020-04-02 14:08

Pls update shown version to 1.114.4

MsAdlit commented on 2019-08-19 17:56

Thanks for the update!

mcmodder commented on 2019-08-19 09:53

Please don't mark this package "out-of-date" because "2.xx is released" 2.xx versions made by other developer (initially) using sources of this launcher (and it's name)

gameslayer commented on 2019-04-21 12:19

972758e1c5cad62861844a94f2830a14c7e795975108cd3d31de729285c53eb6.jar ... FAILED
tlauncher.desktop ... Passed
tlauncher.install ... Passed

==> ERROR: One or more files did not pass the validity check!

Mthw commented on 2018-10-30 13:36

I am not able to install the latest version. It returns this error: "install: cannot stat '/tmp/makepkg/tlauncher/src/.jar': No such file or directory"

WhyNotHugo commented on 2018-10-17 18:28

This package is kinda buggy.

It tries to run commands, but expects makedepends to be previous installed.

However, it's not possible to parse it and actually determine what makedepends are, because it tries to run those commands right away, rather than in one of the build steps.

The checksum-fetching logic should probably be something that's in a separate script anyway -- fetching the checksum AND the file both at build time and from the same host don't really add any value -- any malicious actor that can corrupt the jar file can also corrupt the json file anyway.